Welcome to Working With Rails

 

Discussion Forums

Discuss all things Ruby on Rails with perhaps the web's most vibrant group of Ruby on Rails enthusiasts.
GD support for captcha
5 Posts
GD support for captcha

I am working on an old project, which has developed long back using rails 1.1.6 version. Now there is a small maintance work on that. So i am getting an error while loading the page, where there is a captcha to be loaded. No such files to load -- GD

Am not able to start the applciation. I don't know how to include the GD support. Is it through gem?

Any help is highly appreciated. Thanks in advance"

There are two gems offering an interface to GD. A pure Ruby one @gd2@ (which, I think, has some additional features) and the original one by Matz @ruby-gd@

You'll also, obviously, need the GD library itself if you don't have it: "http://www.libgd.org/":http://www.libgd.org/

Thanks for the help Jason, well i tried to install ruby-gd first but i got the following error http://pastie.org/400819

I was not able to fix the issue… So tried by installing the gem gd2. But the following line of code is causing the problem i guess, since it was not able to find the class GD::Image im = GD::Image.new(image_width, image_height)

Does GD2 is having a class called GD::Image or do i have to use ruby-gd library itself?

Any help is highly appreciated.

Thanks in advance, nithy”

Here's the rdoc for GD2: http://gd2.rubyforge.org/rdoc/

The error you got was because @ruby-gd@ is not a pure ruby one, and therefore has to be linked against libgd - you probably have to provide the @--with-gd-dir@ option set to your GD install directory.

Thanks a lot Jason. nithy"

5 Posts
Login to add your message